#pragma once
#include "../Basic.h"
#include <Resource/DataArray.h>
#include <string>

namespace assets 
{
	class Townfolks
	{
	public:
		Townfolks() {}
		void load(gge::resource::DataArray &dataArray);
		static Townfolks &loadNew(gge::resource::DataArray &dataArray)
		{
			Townfolks &townfolks = *new Townfolks;
			townfolks.load(dataArray);
			return townfolks;
		}

		std::string ID;
		float odds;
		Range totalStats;

		static std::map<std::string, Townfolks*> list;
	};
}